@rem Run this make_bin.bat TWICE , on two disks (if you want to use bins.bat)
@rem in directories with same names ( \bin\ , or what you choose in bins.bat)
@rem
@rem If you simply copy ten directories from one disk to another,
@rem you get LFN conflict: short names are not equal on two disks
@rem
@rem You will also need the following to extract .ZIP, .Z, .CAB, .1, .LZH :
@rem ftp://ftp.cdrom.com/.3/simtelnet/msdos/arcers/lha255e.exe (64K)
@rem ftp://ftp.cdrom.com/.3/sac/pack/i5comp21.rar (95K)
@rem ftp://ftp.cdrom.com/.3/sac/pack/icomp95.zip (60K)
@rem ftp://ftp.cdrom.com/.3/sac/pack/ttcomp.zip (25K)
@rem ftp://ftp.cdrom.com/.3/sac/pack/stix.arj (21K)
@rem ftp://ftp.simtel.net/pub/simtelnet/msdos/arcers/pk250dos.exe (202K)
@rem
@if "%1"=="" echo Usage: "make_bin SourceDirectory\" (194 zips,167820252 bytes)
@if "%1"=="" goto end
@if "%1"=="final" goto final

md astronmy
cd astronmy
pkunzip %1astronmy\*.zip <..\astronmy.dat
md a1
cd a1
pkunzip ..\*.zip <..\..\astronm2.dat
ren gr_test.mak ?_*.*
ren gr_ibmpc.c  ?_*.*
ren gr.h        ?_*.*
ren gr_spec.c   ?_*.*
ren gr_test.c   ?_*.*
ren tw.h        ?-*.*
ren *.* _*.*
move *.* ..
cd ..
del *.zip
if "%2"=="del!" del %1astronmy\*.zip

md ..\chem
cd ..\chem
pkunzip %1chem\*.zip <..\chem.dat
md a1
cd a1
pkunzip ..\elemmake.zip
ren *.* ?_*.*
pkunzip ..\elemocx.zip
pkunzip ..\elemview.zip
ren ??????32.ocx ?_*.*
move *.* ..
extract /a /e /y ..\setup1.cab
ren file_id.diz file_idz.diz
ren readme.txt  readme_z.txt
ren order.frm   order_.frm
move *.* ..
icomp ..\_setup.1   .\ -i -d -ox
icomp ..\_setup_.1  .\ -i -d -ox
icomp ..\_setup_4.1 .\ -i -d -ox
icomp ..\_setup_7.1 .\ -i -d -ox
icomp ..\_setup_9.1 .\ -i -d -ox
icomp ..\_setup.2   .\ -i -d -ox
icomp ..\data.z     .\ -i -d -ox
ren *.txt ?????_*.*
ren shared\*.* ????_*.*
ren group1\*.txt ????_*.*
move gnuplot\*.* ..
move program\*.* ..
move samples\*.* ..
move help\*.* ..
move shared\*.* ..
move group4\*.* ..
move group3\*.* ..
move group2\*.* ..
move group1\*.* ..
move *.* ..
cd ..
del *.1
del *.2
del *.cab
del *.z
del *.zip
if "%2"=="del!" del %1chem\*.zip

md ..\font
cd ..\font
pkunzip %1font\*.zip <..\font.dat
ren license.txt LICENSE2.TXT
pkunzip disk1.psz
del disk1.psz
md a1
cd a1
icomp ..\_setup.1 .\ -i -d -ox
ren group1\readme.txt README_S.TXT
icomp ..\_setup_.1  .\ -i -d -ox
icomp ..\_setup_1.1 .\ -i -d -ox
icomp ..\_setup_9.1 .\ -i -d -ox
icomp ..\_setup_b.1 .\ -i -d -ox
ren group1\readme.txt  README_T.TXT
ren group1\license.txt LICENSE3.TXT
ren group1\file_id.diz FILE_IDA.DIZ
move group1\*.* ..
move group2\*.* ..
i5comp x ..\data1.cab
i5comp x ..\_sys1.cab
i5comp x ..\_user1.cab
ren *.txt ??????__.*
move *.* ..
cd ..
del *.1
del *.cab
if "%2"=="del!" del %1font\*.zip

md ..\graphics
cd ..\graphics
pkunzip %1graphics\*.zip
md a1
cd a1
i5comp x ..\data1.cab
i5comp x ..\_sys1.cab
i5comp x ..\_user1.cab
ren *.txt ??????_.*
move *.* ..
cd ..
del *.cab
if "%2"=="del!" del %1graphics\*.zip

md ..\lang
cd ..\lang
pkunzip %1lang\kh500us.zip
ren *.gif ????_*.GIF
md a1
cd a1
pkunzip ..\f*.zip
del ..\f*.zip
ren *.wav ???_*.wav
pkunzip ..\*.zip <..\..\lang.dat
move *.* ..
cd ..
del *.zip
if "%2"=="del!" del %1lang\*.zip

md ..\mapping
cd ..\mapping
pkunzip %1mapping\*.zip <..\mapping.dat
md a1
cd a1
pkunzip ..\*.zip
move *.* ..
cd ..
del *.zip
if "%2"=="del!" del %1mapping\*.zip

md ..\proj
cd ..\proj
pkunzip %1proj\*.zip
pkunzip tm2kt728.exe
del	tm2kt728.exe
if "%2"=="del!" del %1proj\*.zip

md ..\science
cd ..\science
pkunzip %1science\sky3d20.zip
ren readme.txt README1.TXT
pkunzip %1science\snbas212.zip
ren readme.txt README_.TXT
pkunzip %1science\digatm.zip
md a1
cd a1
icomp ..\_setup.1 .\ -i -d -ox
ren group1\readme.txt readme__.txt
move group1\*.* ..
move group2\*.* ..
move group5\*.* ..
move group6\*.* ..
stix ..\snbas212.exe .\
ren group7\milky MILKY_
ren readme.txt README0.TXT
ren setup.in? SETUP_.IN?
move group1\*.* ..
move group2\*.* ..
move group3\*.* ..
move group4\*.* ..
move group5\*.* ..
move group6\*.* ..
move group7\*.* ..
move group8\*.* ..
move group9\*.* ..
move group10\*.* ..
move group12\*.* ..
move group13\*.* ..
move group14\*.* ..
move group15\*.* ..
move *.* ..
cd ..
del *.1
del snbas212.exe
if "%2"=="del!" del %1science\*.zip

md ..\winhelp
cd ..\winhelp
pkunzip %1winhelp\*.zip <..\winhelp.dat
md a1
cd a1
icomp ..\_setup.1 .\ -i -d -ox
ren group1\readme.txt README_B.TXT
move group1\*.* ..
icomp ..\_setup.lib .\ -i -d -ox
ren setup.ini SETUP_.INI
move *.* ..
lha x ..\*.lzh
ren silogo.ico SILOGO_.ICO
move *.* ..
cd ..
del _setup.lib
del _setup.1
del *.lzh
if "%2"=="del!" del %1winhelp\*.zip

md ..\xwindows
cd ..\xwindows
pkunzip %1xwindows\*.zip
md a1
cd a1
pkunzip -d ..\100dpi
del ..\100dpi.zip
pkunzip ..\*.zip <..\..\xwindow2.dat
cd fonts\100dpi
ren *.* ?_*.*
move *.* ...
cd ...
move *.* ..
cd ..
del *.zip
if "%2"=="del!" del %1xwindows\*.zip

@echo run shell like FAR 1.6*, sort files by NAMES, and manually (10 times):
@echo 1) delete empty subdirectories from 10 directories (astronmy... xwindows)
@echo 2) rename *.* to *.*.bin ( you'll have to [Skip] one file in chem\ )
@echo Finally, run "make_bin.bat final"
goto end

:final
ren chem\polar.doc.htm polar.htm.bin
ren astronmy\nil_~2.bin nil_~1.bin
ren science\milky_~2.bin MILKY_~1.bin
ren science\milkyw~2.bin MILKWAY.JPG.bin
ren science\read~1.bin readme~1.bin
:end